// Core
import Button from './buttons/Button';
import Icon from './icons/Icon';
import List from './list/List';
import ListItem from './list/ListItem';
import SocialIcon from './social/SocialIcon';

// Utilities
import Badge from './badge/badge';
import CheckBox from './checkbox/CheckBox';
import Divider from './divider/Divider';
import Slider from './slider/Slider';
import ButtonGroup from './buttons/ButtonGroup';

// Productivity
import Card from './card/Card';
import Tile from './tile/Tile';
import Avatar from './avatar/Avatar';
import Rating from './rating/Rating';
import Header from './header/Header';
import PricingCard from './pricing/PricingCard';

// Inputs
import FormInput from './form/FormInput';
import FormLabel from './form/FormLabel';
import FormValidationMessage from './form/FormValidationMessage';
import SearchBar from './input/Search';

// helpers
import Text from './text/Text';
import colors from './config/colors';
import getIconType, { registerCustomIconType } from './helpers/getIconType';
import normalize from './helpers/normalizeText';

// DEPRECATE
import Grid from './grid/Grid';
import Row from './grid/Row';
import Col from './grid/Col';
import Tabs from './tabs/Tabs';
import Tab from './tabs/Tab';
import SideMenu from './sidemenu/SideMenu';
import SwipeDeck from './swipedeck/SwipeDeck';

export {
  Badge,
  Button,
  ButtonGroup,
  Card,
  FormInput,
  FormLabel,
  FormValidationMessage,
  List,
  ListItem,
  PricingCard,
  SocialIcon,
  Text,
  Divider,
  SideMenu,
  CheckBox,
  SearchBar,
  Icon,
  Tabs,
  Tab,
  colors,
  getIconType,
  registerCustomIconType,
  normalize,
  Grid,
  Row,
  Col,
  Tile,
  Slider,
  Avatar,
  Rating,
  SwipeDeck,
  Header,
};
